package comm

type AccessRecordsReq struct {
	Index string `json:"index,required"` // 页面标签
}

type ImgReqUploadReq struct {
	FileName    string `json:"file_name,required" binding:"required" example:"文件名"`
	ContentType string `json:"content_type,required" binding:"required" example:"image/jpeg"`
}

type UploadReq struct {
	FileName string `json:"file_name" binding:"required" example:"文件名"`
	File     string `json:"file" binding:"required" example:"文件内容(base64)"`
}
type ImgReqUploadResp struct {
	SignUrl string `json:"sign_url" example:"签名上传url"`
}
