package md

type CollegeCate struct {
	Id   string `json:"id"`
	Name string `json:"name"`
	Img  string `json:"img"`
}
type CollegeListReq struct {
	Page   string `json:"page"`
	Limit  string `json:"limit"`
	CateId string `json:"cate_id"`
}
type CollegeDetailReq struct {
	Id string `json:"id"`
}
type CollegeListResp struct {
	Id           string `json:"id"`
	Url          string `json:"url"`
	Title        string `json:"title"`
	Cover        string `json:"cover"  example:"封面图"`
	CreateAt     string `json:"create_at"`
	WatchCount   string `json:"watch_count"   example:"学习数量"`
	LikeCount    string `json:"like_count"  example:"点赞数量"`
	ForwardCount string `json:"forward_count"  example:"分享数量"`
}
type CollegeDetailResp struct {
	Id           string `json:"id"`
	Url          string `json:"url"`
	Title        string `json:"title"`
	Content      string `json:"content"`
	IsLike       string `json:"is_like"  example:"是否点赞 0否 1是"`
	CreateAt     string `json:"create_at"`
	AppName      string `json:"app_name"`
	WatchCount   string `json:"watch_count"   example:"学习数量"`
	LikeCount    string `json:"like_count"  example:"点赞数量"`
	ForwardCount string `json:"forward_count"  example:"分享数量"`
}
