package md

type MemberCenterGetBasicResp struct {
	ActiveNum         string `json:"active_num"`         // 活跃值
	EggScore          string `json:"egg_score"`          // 蛋蛋分
	EggEnergy         string `json:"egg_energy"`         // 能量值
	EggEnergyValue    string `json:"egg_energy_value"`   // 能量预估价值
	ContributionValue string `json:"contribution_value"` // 贡献值
	Date              string `json:"date"`               // 兑换时间(每月x日)
	Ratio             string `json:"ratio"`              // 能量值兑换比例(x:y)
	Amount            string `json:"amount"`             // 账户余额
	Nickname          string `json:"nickname" example:"昵称"`
	LevelName         string `json:"level_name" example:"等级"`
	InviteCode        string `json:"invite_code" example:"邀请码"`
	HeadImg           string `json:"head_img" example:"头像"`
	Id                string `json:"id" example:"个人ID号"`
	Phone             string `json:"phone" example:"手机号"`
	WechatAccount     string `json:"wechat_account" example:"微信号"`
	IsBindExtend      string `json:"is_bind_extend" example:"是否绑定了上级 0否 1是"`
	IsRealName        string `json:"is_real_name" example:"是否实名认证 0否 1是"`
}

type UserEggFlowReqRespList struct {
	IndexId                             string  `json:"index_id"`                                 //文档id
	ScoreValue                          float64 `json:"score_value"`                              //蛋蛋分-起始值
	ScoreValueKind                      int     `json:"score_value_kind"`                         //评分类型(0:未知 1:人工 2:系统)
	Ecpm                                float64 `json:"ecpm"`                                     //ecpm
	InviteUserNums                      int     `json:"invite_user_nums"`                         //拉新人数
	TeamActivityNums                    int     `json:"team_activity_nums"`                       //团队活跃次数
	SignInNums                          int     `json:"sign_in_nums"`                             //签到次数
	ImActivityNums                      int     `json:"im_activity_nums"`                         //im活跃次数
	SendRedPackageNums                  int     `json:"send_red_package_nums"`                    //发红包次数
	EggEnergyExchangeAccountBalance     int     `json:"egg_energy_exchange_account_balance"`      //蛋蛋能量兑换余额数量
	AccountBalanceExchangeEggEnergyNums int     `json:"account_balance_exchange_egg_energy_nums"` //余额兑换蛋蛋能量数量
	SendCircleOfFriendNums              int     `json:"send_circle_of_friend_nums"`               //发朋友圈次数
	ForumCommentsNums                   int     `json:"forum_comments_nums"`                      //论坛评论次数
	CollegeLearningNums                 int     `json:"college_learning_nums"`                    //学院学习次数
	ViolateNums                         int     `json:"violate_nums"`                             //违规次数
	BrowseInterfaceNums                 int     `json:"browse_interface_nums"`                    //浏览界面次数
	PersonAddActivityValue              int     `json:"person_add_activity_value"`                //个人活跃积分
	UpdatedAt                           string  `json:"updated_at"`                               //更新时间
}
