package md

type PlayletBaseData struct {
	Reward       string `json:"reward" example:"单次奖励"`
	Total        string `json:"total" example:"可领取总次数"`
	FirstCount   string `json:"first_count" example:"首次可观看集数"`
	SecondCount  string `json:"second_count" example:"看一次广告解锁集数"`
	Leave        string `json:"leave" example:"剩余次数"`
	Sum          string `json:"sum" example:"奖励总数"`
	CoinName     string `json:"coin_name" example:"积分名称"`
	DayOneCount  string `json:"day_one_count" example:"每天每个短剧解锁次数"`
	AndroidAdvId string `json:"android_adv_id" example:"安卓激励视频广告位"`
	IosAdvId     string `json:"ios_adv_id" example:"iOS激励视频广告位"`
}
type PlayletRewardRequest struct {
	Id string `json:"id" example:"广告id"`
}
type PlayletUnlockRequest struct {
	Id string `json:"id" example:"短剧id"`
}
type PlayletUnlockResp struct {
	Num string `json:"num"`
}
