package md

type UserInfoResp struct {
	Id           string `json:"id"`
	Phone        string `json:"phone"`
	Nickname     string `json:"nickname"`
	InviteCode   string `json:"invite_code"`
	HeadImg      string `json:"head_img"`
	IsBindExtend string `json:"is_bind_extend" example:"是否绑定了上级 0否 1是"`
}
type InviteCodeUserInfoReq struct {
	InviteCode string `json:"invite_code"`
}
type WechatAccountUserInfoReq struct {
	WechatAccount string `json:"wechat_account" example:"微信号 不是修改不用传"`
	HeadImg       string `json:"head_img" example:"头像 不是修改不用传"`
	Nickname      string `json:"nickname" example:"昵称 不是修改不用传"`
}
type InviteCodeUserInfoResp struct {
	Nickname string `json:"nickname"`
	HeadImg  string `json:"head_img"`
}

type UserDeleteInfo struct {
	Url  string               `json:"url" example:"蛋蛋星球注销须知 链接"`
	Info []UserDeleteInfoList `json:"info"`
}
type UserDeleteInfoList struct {
	Title   string `json:"title"`
	Content string `json:"content"`
}
