package md

type RealNameAuthBasicData struct {
	AuthState       string `json:"auth_state" example:"0未申请  1申请通过  3申请失败"`
	IsNeedGetEnergy string `json:"is_need_get_energy" example:"0不需要获取能量  1弹窗提示 前往蛋蛋乐园获取能量"`
	TipStr          string `json:"tip_str"`
}
type RealNameAuthAddRequest struct {
	RealName string `json:"real_name"`
	CardNo   string `json:"card_no"`
}

type UserCertifyRequest struct {
	OrderId     string `json:"order_id"` //支付订单
	RealName    string `json:"real_name" `
	IdentityNum string `json:"identity_num" `
	CertifyId   string `json:"certify_id"`
	Uid         string `json:"uid"`
}
type UserCertifyParams struct {
	RealName    string `json:"real_name" `
	IdentityNum string `json:"identity_num" `
	OrdId       string `json:"ord_id"`
	CertifyId   string `json:"certify_id"`
	Uid         string `json:"uid"`
}
type RealNameAuthResp struct {
	Oid string `json:"oid"`
	Url string `json:"url"`
}
