package md

type DynamicDataFlowListReq struct {
	Kind     int    `json:"kind"`                    // 持有类型
	Page     int    `json:"page,required"`           // 页数
	PageSize int    `json:"page_size,required"`      // 每页大小
	StartAt  string `json:"start_at" example:"开始时间"` // 开始时间
	EndAt    string `json:"end_at" example:"结束时间"`   // 结束时间
}

type EggEnergyAvailableEnergyFlow struct {
	Id                                  int64  `json:"id"`
	Kind                                int    `json:"kind"`
	Title                               string `json:"title"`
	BeforePrice                         string `json:"before_price"`
	AfterPrice                          string `json:"after_price"`
	Amount                              string `json:"amount"`
	BeforeNowEnergyTotalNums            string `json:"before_now_energy_total_nums"`
	AfterNowEnergyTotalNums             string `json:"after_now_energy_total_nums"`
	AfterPlanetTotalValue               string `json:"after_planet_total_value"`
	BeforePlanetTotalValue              string `json:"before_planet_total_value"`
	BeforeMarketplaceMerchantValues     string `json:"before_marketplace_merchant_values"`
	AfterMarketplaceMerchantValues      string `json:"after_marketplace_merchant_values"`
	BeforeMarketplaceMerchantFundValues string `json:"before_marketplace_merchant_fund_values"`
	AfterMarketplaceMerchantFundValues  string `json:"after_marketplace_merchant_fund_values"`
	BeforeDevelopmentCommitteeValues    string `json:"before_development_committee_values"`
	AfterDevelopmentCommitteeValues     string `json:"after_development_committee_values"`
	BeforePublicWelfareAndCharityValues string `json:"before_public_welfare_and_charity_values"`
	AfterPublicWelfareAndCharityValues  string `json:"after_public_welfare_and_charity_values"`
	BeforeStarLevelDividendsValues      string `json:"before_star_level_dividends_values"`
	AfterStarLevelDividendsValues       string `json:"after_star_level_dividends_values"`
	BeforeDestructionQuantityValues     string `json:"before_destruction_quantity_values"`
	AfterDestructionQuantityValues      string `json:"after_destruction_quantity_values"`
	BeforeCommunityDividends            string `json:"before_community_dividends"`
	AfterCommunityDividends             string `json:"after_community_dividends"`
	CreateTime                          string `json:"create_time"`
}

type DynamicDataFlowListResp struct {
	KindList []map[string]interface{}       `json:"kind_list"`
	List     []EggEnergyAvailableEnergyFlow `json:"list"`
	Paginate Paginate                       `json:"paginate"`
}
