package md

type UserFeedbackListReq struct {
	Page  string `json:"page"`
	Limit string `json:"limit"`
}
type UserFeedbackRecordReq struct {
	Page string `json:"page"`
	Id   string `json:"id"`
}

type UserFeedbackListResp struct {
	Id       string   `json:"id"`
	Title    string   `json:"title"`
	Type     string   `json:"type"`
	Label    string   `json:"label"`
	Img      []string `json:"img"`
	Content  string   `json:"content"`
	CreateAt string   `json:"create_at"`
	State    string   `json:"state" example:"0未回复 1已回复"`
}
type UserFeedbackRecordResp struct {
	Type     string `json:"type"`
	Nickname string `json:"nickname"`
	HeadImg  string `json:"head_img"`
	CreateAt string `json:"create_at"`
	Content  string `json:"content"`
}
type UserFeedbackSaveReq struct {
	Cid     string   `json:"cid" example:"问题类型的id"`
	Type    string   `json:"type" example:"问题类型的name"`
	Content string   `json:"content" example:"问题内容"`
	Img     []string `json:"img" example:"图片"`
	Idea    string   `json:"idea" example:"建议内容"`
	Phone   string   `json:"phone"`
	Title   string   `json:"title"`
}
type UserFeedbackSayReq struct {
	Id      string `json:"id" example:"id"`
	Content string `json:"content" example:"问题内容"`
}
