package utils

import (
	"crypto/md5"
	"encoding/hex"
	"strings"
)

func Md5(str string) string {
	h := md5.New()
	h.Write([]byte(str))
	return hex.EncodeToString(h.Sum(nil))
}

func GenerateMD5Hash(input string) string {
	hasher := md5.New()
	hasher.Write([]byte(input))
	checksum := hasher.Sum(nil)
	hexString := hex.EncodeToString(checksum)
	upperHexString := strings.ToUpper(hexString)
	return upperHexString
}
